Last Comment Bug 675162 - After update, tabs are restored, but not loaded, except the first one Error: uncaught exception: nsISHEntry.stateData in nsSessionStore.js :: sss_deserializeHistoryEntry :: line 2827
: After update, tabs are restored, but not loaded, except the first one Error: ...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.5
Assigned To: Misak Khachatryan
:
Mentors:
Depends on: 551225 647028
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 01:46 PDT by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2011-09-08 17:06 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
patch (9.77 KB, patch)
2011-07-30 06:23 PDT, Misak Khachatryan
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2011-07-29 01:46:17 PDT
After getting updated to Seamonkey 2.3, my tabs were restored, but the urls weren't loaded, leaving all tabs empty, except for the first one.

Neil Rashbrook did let me do some investigation.
I'm seeing the same error with the sessionstore.json file (new profile) in the latest Seamonkey trunk build.
I'm not seeing this error using this sessionstore.json file with the latest Firefox desktop trunk build (after having it renamed to sessionstore.js).
So I guess Firefox contains already a fix for this error situation.

I noticed this error in the error console using the lates Seamonkey trunk build:
Error: uncaught exception: [Exception... "Could not convert JavaScript argument arg 0 [nsISHEntry.stateData]"  nsresult: "0x80570009 (NS_ERROR_XPC_BAD_CONVERT_JS)"  location: "JS frame :: jar:file:///C:/Users/mw22/Desktop/seamonkey-2.5a1.en-US.win32/seamonkey/omni.jar!/components/nsSessionStore.js :: sss_deserializeHistoryEntry :: line 2827"  data: no]

I haven't attached the sessionstore.json file, because I don't know if it contains sensitive data, but if someone needs to have it in order to be able to fix it, let me know and I'll mail it to you.
Comment 1 neil@parkwaycc.co.uk 2011-07-29 02:33:03 PDT
We need to port parts of bug 551225.
Comment 2 Misak Khachatryan 2011-07-30 06:23:51 PDT
Created attachment 549573 [details] [diff] [review]
patch

patch, incorporates also missed fix from bug 647028.
Comment 3 neil@parkwaycc.co.uk 2011-07-30 08:52:55 PDT
Comment on attachment 549573 [details] [diff] [review]
patch

>-    if (aEntry.stateData) {
>+    if (aEntry.stateData != null) {
I don't see the point of this change.
Comment 4 Misak Khachatryan 2011-07-31 04:37:44 PDT
(In reply to comment #3)
> I don't see the point of this change.

It's time for me to stop blindly copying code :(

Pushed with nit fixed:
http://hg.mozilla.org/comm-central/rev/a7169a94d871
Comment 5 Jens Hatlak (:InvisibleSmiley) 2011-07-31 23:50:55 PDT
Misak, the reporter was talking about SM 2.3 in the beginning. If this needs to be backported to aurora/beta, please request accordingly. We still have a chance to land things for 2.3, but it won't be long and the door will close.
Comment 6 Philip Chee 2011-08-01 04:06:36 PDT
Comment on attachment 549573 [details] [diff] [review]
patch

The parent m-c bug 551225 will be in Firefox 6 so this should land on comm-beta as well I think.
Comment 7 Ian Neal 2011-08-01 04:14:57 PDT
Comment on attachment 549573 [details] [diff] [review]
patch

a=me
Comment 9 Jens Hatlak (:InvisibleSmiley) 2011-08-02 12:53:07 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/56aa3a1b61e2

Note You need to log in before you can comment on or make changes to this bug.